package eventSharing;

import javax.microedition.lcdui.*;
import javax.microedition.pim.*;

class ErrorScreen extends Alert {
	private static Image image;
	private static Display display;
	private static ErrorScreen instance = null;

	private ErrorScreen() {
		super("Error");
		setType(AlertType.ERROR);
		setTimeout(5000);
		setImage(image);
	}

	static void init(Image img, Display disp) {
		image = img;
		display = disp;
	}

	static void showError(String message, Displayable next) {
		if (instance == null) {
			instance = new ErrorScreen();
		}
		instance.setTitle("Error");
		instance.setString(message);
		display.setCurrent(instance, next);
	}

	static void reportPIMException(PIMException e, Displayable next) {
		StringBuffer errorMsg = new StringBuffer("Error:");
		switch (e.getReason()) {
		case PIMException.FEATURE_NOT_SUPPORTED:
			errorMsg.append("The requested feature is not supported");
			break;
		default:
			errorMsg.append("Unknown error");
		}
		showError(errorMsg.toString(), next);
	}

}